import { jsx } from "react/jsx-runtime";
import { TokenUSDX as TokenUSDX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenUSDX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "USDX", "data-name": "TokenUSDX", ...props, children: /* @__PURE__ */ jsx(TokenUSDX$1, { variant }) });
  }
);
TokenUSDX.displayName = "TokenUSDX";
Object.assign(TokenUSDX, { isGdsIcon: true });
export {
  TokenUSDX
};
